<template>
  <div class="app-container">
    <el-form :model="queryParams" ref="queryForm" :inline="true" v-show="showSearch" label-width="68px">
      <el-form-item label="直播ID" prop="liveId">
        <el-input
          v-model="queryParams.liveId"
          placeholder="请输入直播ID"
          clearable
          size="small"
          @keyup.enter.native="handleQuery"
        />
      </el-form-item>
      <el-form-item>
        <el-button type="primary" icon="el-icon-search" size="mini" @click="handleQuery">搜索</el-button>
        <el-button icon="el-icon-refresh" size="mini" @click="resetQuery">重置</el-button>
      </el-form-item>
    </el-form>
  </div>
</template>

<script>

export default {
  name: 'LiveWatchUser',
  data() {
    return {
      showSearch: true,
      queryForm: null,
      queryParams: {
        pageNum: 1,
        pageSize: 10
      }
    }
  },
  created() {

  },
  methods: {
    handleQuery() {
      console.log(this.queryParams);
    },
    resetQuery() {
      console.log(this.queryParams);
    }
  }
}
</script>

<style scoped>

</style>
